From: Adrian Bunk <bunk@kernel.org>

dm_dirty_log_{init,exit}() can now become static.

Signed-off-by: Adrian Bunk <bunk@kernel.org>
Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---

 drivers/md/dm-log.c |    4 ++--
 drivers/md/dm.h     |    6 ------
 2 files changed, 2 insertions(+), 8 deletions(-)

Index: linux-2.6.26/drivers/md/dm-log.c
===================================================================
--- linux-2.6.26.orig/drivers/md/dm-log.c	2008-07-20 18:42:40.000000000 +0100
+++ linux-2.6.26/drivers/md/dm-log.c	2008-07-20 18:45:59.000000000 +0100
@@ -831,7 +831,7 @@ static struct dm_dirty_log_type _disk_ty
 	.status = disk_status,
 };
 
-int __init dm_dirty_log_init(void)
+static int __init dm_dirty_log_init(void)
 {
 	int r;
 
@@ -848,7 +848,7 @@ int __init dm_dirty_log_init(void)
 	return r;
 }
 
-void __exit dm_dirty_log_exit(void)
+static void __exit dm_dirty_log_exit(void)
 {
 	dm_dirty_log_type_unregister(&_disk_type);
 	dm_dirty_log_type_unregister(&_core_type);
Index: linux-2.6.26/drivers/md/dm.h
===================================================================
--- linux-2.6.26.orig/drivers/md/dm.h	2008-07-20 18:42:40.000000000 +0100
+++ linux-2.6.26/drivers/md/dm.h	2008-07-20 18:45:59.000000000 +0100
@@ -100,12 +100,6 @@ int dm_lock_for_deletion(struct mapped_d
 
 void dm_kobject_uevent(struct mapped_device *md);
 
-/*
- * Dirty log
- */
-int dm_dirty_log_init(void);
-void dm_dirty_log_exit(void);
-
 int dm_kcopyd_init(void);
 void dm_kcopyd_exit(void);
 
